Package org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.util

# Class ShiftedIcon

java.lang.Object
org.pushingpixels.substance.internal.contrib.randelshofer.quaqua.util.ShiftedIcon

All Implemented Interfaces:
  `Icon`

public class ShiftedIcon extends Object implements Icon
ShiftedIcon renders a target icon at a different location and can return different width and height values than the target.

## Constructor Summary

Constructors
Constructor
Description
`ShiftedIcon(Icon target, Point shift)`
Creates a new instance.
`ShiftedIcon(Icon target, Rectangle shiftAndSize)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShiftedIcon

public ShiftedIcon(Icon target, Point shift)
Creates a new instance.

### ShiftedIcon

public ShiftedIcon(Icon target, Rectangle shiftAndSize)

## Method Details

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`